=== debian/changelog ===
ogre (1.7.3-6) unstable; urgency=low

  * Use always "versioned" directory names, like /usr/share/OGRE-1.7.3 and
    /usr/lib/MULTIARCH_TRIPLET/OGRE-1.7.3 instead of plain .../OGRE.  In this
    way several versions of the library can be installed at once, as it's
    usually the case with shared libraries but it was not with OGRE until now
    (Closes: #653527).
  * Add missing Build-Depend on "dpkg-dev (>= 1.16.1~)" (instead of the
    suggested .0 of the bug report), and substituting DEB_BUILD_MULTIARCH for
    DEB_HOST_MULTIARCH (Closes: #658015).  The former was used by a propagated
    mistake.  Thanks Sam Morris for the notice and the patch (although I didn't
    use the patch provided because I had already changed the more problematic
    parts with a better solution).  Please reopen if there are still remaining
    problems.
  * Remove /etc/OGRE*/plugins.cfg, according to upstream it's not present in
    other systems, and indeed is more appropriate for applications to define
    what plugins they want to use (or rely only on code, not .cfg files, for
    that).
    - Remove the Debian script /usr/bin/update-ogre-plugins (and its manpage),
      it's of no use now.
    - Remove the template for plugins.cfg
  * Remove /etc/OGRE/plugins.cfg when uninstalling (or upgrading and moving the
    file elsewhere, as it happened for a few versions), if the one installed in
    the system was unmodified.  Thanks Sam Morris for the report and the
    suggested fix (Closes: #656997)
  * Remove cruft provided in the past along with the package but not used for a
    few releases/years:
    - LightwaveConverter.1: binary not present since very long
    - ogre-get-orig-source-1.6.4: script obsolete and unnecessary since with 1.7
      -- it's been clarified that the documentations and the samples are DFSG
      compatible

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Sat, 04 Feb 2012 21:18:16 +0000

ogre (1.7.3-5) unstable; urgency=high

  * Urgency set to high because the version in testing (1.7.3-3) is quite
    broken, and will not work for most people.
  * Moving configuration and plugins in directories named just "OGRE" to
    "OGRE-${VERSION}", so actually several versions of the library can be
    installed at the same time.
  * Fixing paths in the shipped plugins.cfg for the new location of the plugins
    in multi-arch environment, including RPATH for the plugins using it.
  * Remove debian/extras/ogre-plugins-config.in and ogre-plugins-config.1
    (corresponding man page).  As far as I know they were never used, and
    introducing such a tool creates more harm than good in my opinion
    (divergence from upstream and needlessly doing things ad-hoc that should be
    managed by the users of the library).

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Wed, 18 Jan 2012 12:41:51 +0000

ogre (1.7.3-4) unstable; urgency=low

  * Disabling some hardening and linking options, they were causing severe
    problems for some users with the application aborting during initialisation
    (Launchpad bug LP: #913523), confirmed in Debian.  I think that the main
    culprit is "-Wl,-Bsymbolic", although other hardening flags were disabled
    because of compilation failures after disabling the previous one (+pie).

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Sun, 15 Jan 2012 16:27:57 +0000

ogre (1.7.3-3) unstable; urgency=low

  * Switch to debhelper compat level v9
  * Build for multiarch
    - Fix RPATH issue with Plugin_OctreeZone.so, using directory inside
      /usr/lib/multi-arch-triplet/OGRE
  * Enable some extra compiling options and hardening flags
  * Remove Build-Depends on quilt (quells lintian warning:
    unneeded-build-dep-on-quilt)
  * Remove Michael Koch <konqueror@gmx.de> as Uploader, not active for years and
    only active for a brief period in time

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Fri, 21 Dec 2011 12:50:31 +0000

ogre (1.7.3-2) unstable; urgency=low

  * Changed debhelper compat to level 8 (level 7 before), no changes needed
  * Overriding lintian errors of embedded libraries; the modified TinyXML
    library redefines base string classes to match OGRE's and thus it's not
    straightforward to unravel; and 'glew' as part of a GL rendering plugin:
    - 'embedded-library usr/bin/OgreXMLConverter: tinyxml'
    - 'embedded-library usr/lib/OGRE/RenderSystem_GL.so: glew'

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Sun, 10 Jul 2011 01:44:47 +0200

ogre (1.7.3-1) unstable; urgency=low

  * New upstream release
  * The Manual and API Reference are now licensed under CC 3.0 (Closes: #612150)
    and they are included in the ogre-doc binary package
  * Rename libogremain*->libogre, there is no need for the suffix

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Thu, 02 Jun 2011 19:29:04 +0200

ogre (1.7.1-4) unstable; urgency=low

  * Simplifying a lot debian/rules file by leveraging debhelper capabilities,
    only acting when deviating from auto behaviour
  * Fix lintian warning 'spelling-error-in-changelog: architechture', introduced
    in 1.7.1-3
  * Remove binaries of ogre-tools in libogremain-VERSION-dbg, they appeared
    there for some reason

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Thu, 02 Jun 2011 00:16:35 +0200

ogre (1.7.1-3) unstable; urgency=low

  * Improvements to the copyright file, especially including MIT license text
    instead of pointing to a file which does not exist
  * Reorganising Replaces and replacing Conflicts with Breaks to include only
    versions 1.4.9 and 1.6.4 (this one missing from a couple of places) -- thus
    effectively ignoring versions from ancient releases from Debian
  * Remove fix_pthread.patch, which does not seem to be needed.  It was already
    disabled in previous build and no problems were detected, and this URL seems
    to indicate that the problem is known and fixed in 1.7.0:

